Javascript Menustrip Menustrip for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Menustrip for Javascript

light
dark

Change the theme setting here

Menustrip - Option menu

Change demo

Menustrip - Tab menu

Change demo

Menustrip - Navigation

Change demo

Menustrip - Prev/Next

Change demo

Menustrip - Paging

Change demo
Paging
var stripeWidth,
    categoryMenustrip,
    contentMenustrip,
    currMenu = document.querySelector('.md-selected'),
    currCategory = currMenu.querySelector('.md-category'),
    currContent = currMenu.querySelector('.md-content'),
    stripe = document.createElement('span'),
    pr = mobiscroll.util.jsPrefix;

stripe.className = 'md-stripe';

// init bottom menustrip    
mobiscroll.menustrip('.main-menu', {
    theme: ' ',
    themeVariant: ' ',
    select: 'single',
    display: 'bottom',
    layout: 3,
    onItemTap: function (event, inst) {
        currMenu = document.querySelector('.' + event.target.getAttribute('data-page'));
        currContent = currMenu.querySelector('.md-content');
        currCategory = currMenu.querySelector('.md-category');

        // show the new content
        document.querySelector('.md-selected').classList.remove('md-selected');
        currMenu.classList.add('md-selected');

        // refresh category
        categoryMenustrip[currCategory.id].navigate(currCategory.querySelector('li'), true);
        categoryMenustrip[currCategory.id].refresh();

        currCategory.parentNode.appendChild(stripe);
        moveStripe(0);

        // refresh content
        contentMenustrip[currContent.id].refresh();
        contentMenustrip[currContent.id].navigate(currContent.querySelector('li'));
    }
});

// init categories metustrip    
categoryMenustrip = mobiscroll.menustrip('.md-category', {
    theme: ' ',
    themeVariant: ' ',
    type: 'tabs',
    display: 'top',
    select: 'single',
    layout: 5,
    itemWidth: 100,
    paging: true,
    onItemTap: function (event, inst) {
        contentMenustrip[currContent.id].navigate(document.querySelector('.' + event.target.getAttribute('data-page')));
    },
    onInit: function (event, inst) {
        if (inst.totalWidth) {
            stripeWidth = inst.totalWidth / 5;
            stripe.style.width = stripeWidth + 'px';
            this.parentNode.appendChild(stripe);
        }
    }

});

// init content metustrip
contentMenustrip = mobiscroll.menustrip('.md-content', {
    theme: ' ',
    themeVariant: ' ',
    type: 'tabs',
    layout: 1,
    display: 'inline',
    paging: true,
    select: 'off',
    threshold: 15,
    tapHighlight: false,
    onAnimationStart: function (event, inst) {
        stripe.classList.add('md-stripe-anim');
        if (event.destinationX != event.originX) {
            categoryMenustrip[currCategory.id].navigate(document.querySelectorAll('.' + this.getAttribute('data-cat') + ' li')[-(event.destinationX / inst.contWidth)]);
        }
    },
    onAnimationEnd: function (event, inst) {
        setTimeout(function () {
            stripe.classList.remove('md-stripe-anim');
        }, 350);
    },
    onMove: function (event, inst) {
        moveStripe(Math.min(400, Math.max(0, (-event.posX * 500 / inst.totalWidth))));
    }

});

// init content listview
mobiscroll.listview('.md-list', {
    theme: ' ',
    themeVariant: ' ',
    swipe: false,
    striped: true,
    onItemTap: function () {},
    enhance: true
});

function moveStripe(pos) {
    stripe.style[pr + 'Transform'] = 'translate3d(' + pos + '%, 0, 0 )';
}
<div class="mbsc-page">
<div class="md-paging">
    <ul class="main-menu" style="display:none;">
        <li data-id="1" data-icon="music" data-selected="true" data-page="md-music-cont">Music</li>
        <li data-id="2" data-icon="book" data-page="md-book-cont">Books</li>
        <li data-id="3" data-icon="film" data-page="md-movie-cont">Movies</li>
    </ul>

    <div class="md-cont md-music-cont md-selected">
        <ul class="md-category md-music-category" style="display:none;">
            <li data-id="1" data-page="md-pop" data-selected="true">Pop</li>
            <li data-id="2" data-page="md-rock">Rock</li>
            <li data-id="3" data-page="md-jazz">Jazz</li>
            <li data-id="4" data-page="md-piano">Piano</li>
            <li data-id="5" data-page="md-electric">Electric</li>
        </ul>

        <ul class="md-content" data-cat="md-music-category" style="display:none;">
            <li class="md-pop">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Adele_1x.png" />
                        <h4>Hello</h4>
                        <p>Adele</p>
                    </li>
                    <!-- Showing partial data. Download full source. -->
                </ul>

            </li>

            <li class="md-rock">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Elle_King_1x.png" />
                        <h4>Ex's & Oh's</h4>
                        <p>Elle King</p>
                    </li>
                </ul>

            </li>

            <li class="md-jazz">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Jeff_Lorber_1x.png" />
                        <h4>Get Up</h4>
                        <p>Jeff Lorber Fusion</p>
                    </li>
                </ul>

            </li>

            <li class="md-piano">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Rachmaninoff_1x.png" />
                        <h4>Etudes Tableaux</h4>
                        <p>Rachmaninoff</p>
                    </li>
                </ul>

            </li>

            <li class="md-electric">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Major-Lazer_1x.png" />
                        <h4>Lean On</h4>
                        <p>Major Lazer & DJ Snake Featuring M0</p>
                    </li>
                </ul>

            </li>

        </ul>
    </div>

    <div class="md-cont md-book-cont">
        <ul class="md-category md-book-category" style="display:none;">
            <li data-id="1" data-page="md-fantasy" data-selected="true">Fantasy</li>
            <li data-id="2" data-page="md-edu">Education</li>
            <li data-id="3" data-page="md-history">History</li>
            <li data-id="4" data-page="md-scifi">Sci-Fi</li>
            <li data-id="5" data-page="md-romance">Romance</li>
        </ul>

        <ul class="md-content" data-cat="md-book-category" style="display:none;">
            <li class="md-fantasy">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/The_Lord_Of_The_Rings_1x.png" />
                        <h4>The Lord Of The Rings</h4>
                        <p>J.R.R. Tolkien</p>
                    </li>
                </ul>
            </li>

            <li class="md-edu">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Do_Androids_Dream_Of_Electric_Sheep_1x.png" />
                        <h4>Do Androids Dream Of Electric Sheep?</h4>
                        <p>Philip K. Dick</p>
                    </li>
                </ul>
            </li>

            <li class="md-history">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Humans_of_New_York_Stories_1x.png" />
                        <h4>Humans of New York: Stories</h4>
                        <p>by Brandon Stanton</p>
                    </li>
                </ul>

            </li>

            <li class="md-scifi">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/The_Mote_In_God's_Eye_1x.png" />
                        <h4>The Mote In God's Eye</h4>
                        <p>Larry NivenJerry Pournelle</p>
                    </li>
                </ul>
            </li>

            <li class="md-romance">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Bad_Boy's_Baby_1x.png" />
                        <h4>Bad Boy's Baby</h4>
                        <p>by Sosie Frost</p>
                    </li>
                </ul>
            </li>

        </ul>
    </div>

    <div class="md-cont md-movie-cont">
        <ul class="md-category md-movie-category" style="display:none;">
            <li data-id="1" data-page="md-movie-fantasy" data-selected="true">Fantasy</li>
            <li data-id="2" data-page="md-movie-edu">Horror</li>
            <li data-id="3" data-page="md-movie-animation">Animation</li>
            <li data-id="4" data-page="md-movie-scifi">Sci-Fi</li>
            <li data-id="5" data-page="md-movie-romance">Romance</li>
        </ul>

        <ul class="md-content" data-cat="md-movie-category" style="display:none;">
            <li class="md-movie-fantasy">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/The_Seven_Samurai_1x.png" />
                        <h4>The Seven Samurai</h4>
                        <p>by Akira Kurosawa</p>
                    </li>
                </ul>
            </li>

            <li class="md-movie-edu">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Psycho_1x.png" />
                        <h4>Psycho</h4>
                        <p>by Alfred Hitchcock</p>
                    </li>
                </ul>
            </li>

            <li class="md-movie-animation">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Chaar_Sahibzaade_1x.png" />
                        <h4>Chaar Sahibzaade</h4>
                        <p>by Harry Baweja</p>
                    </li>
                </ul>
            </li>

            <li class="md-movie-scifi">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/Inception_1x.png" />
                        <h4>Inception</h4>
                        <p>by Christopher Nolan</p>
                    </li>
                </ul>
            </li>

            <li class="md-movie-romance">
                <ul class="md-music-lv md-list" style="display:none;">
                    <li data-icon="play" data-icon-align="right"><img src="/Content/img/demos/paging/The_Princess_Bride_1x.png" />
                        <h4>The Princess Bride</h4>
                        <p>by Rob Reiner</p>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
</div>
.demo-main-cont.demo-comp-menustrip { padding: 0; min-height: 300px; }

.demo-paging,
.md-paging {
    height: 100%;
}

.md-paging .md-cont .mbsc-lv-item {
    text-transform: none;
}

.md-paging .md-list {
    text-align: left;
    white-space: normal;
}

.md-paging .md-cont {
    display: none;
    height: 100%;
}

.md-paging .md-selected {
    display: block;
}

.md-paging .md-content {
    height: 100%;
    box-sizing: border-box;
}

.md-paging .md-content .mbsc-lv-cont,
.md-paging .md-content .mbsc-lv-sl-c,
.md-paging .md-cont .mbsc-ms-inline .mbsc-ms-sc,
.md-paging .md-cont .mbsc-ms-c.mbsc-ms-inline {
    height: 100%;
    border: 0;
    box-sizing: border-box;
}

.md-paging .md-content .mbsc-lv-cont {
    overflow: auto;
}

.md-paging .md-content .mbsc-ms-item {
    border: 0;
    padding: 0;
    height: 100%;
}

.md-paging .mbsc-ms-b .md-category .mbsc-ms-item.mbsc-ms-item-sel {
    border-bottom-color: transparent;
}

.md-paging .mbsc-lv-img {
    border-radius: 2.8em;
    height: 2.8em;
}

.md-paging .mbsc-lv {
    background: transparent;
}

.md-paging .md-stripe {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 2px;
    background: #4eccc4;
}

.md-paging .md-stripe-anim {
    -webkit-transition: all 70ms linear;
    transition: all 70ms linear;
}


/* Themes */

.mbsc-wp .md-content .mbsc-ms-item {
    font-size: 1em;
}

.mbsc-wp .md-category .mbsc-ms-item {
    font-size: 25px;
}

.mbsc-material .md-stripe {
    background: #009688;
}

.mbsc-material-dark .md-stripe {
    background: #81ccc4;
}

.mbsc-android-holo .md-stripe {
    background: #31b6e7;
}

.mbsc-jqm .md-stripe,
.mbsc-wp .md-stripe,
.mbsc-ios .md-stripe,
.mbsc-bootstrap .md-stripe {
    display: none;
}

Menustrip - Cards

Change demo

Menustrip - Scroll options

Change demo
Scroll options

Menustrip - Badge

Change demo

Menustrip - Show more

Change demo

Menustrip - Event handlers

Change demo
Event handlers
Clear event log
EVENTS FIRED: 

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

Angular and Ionic Menustrip Menustrip for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Menustrip for Angular and Ionic Framework

light
dark

Change the theme setting here

Menustrip - Option menu

Change demo

Menustrip - Tab menu

Change demo

Menustrip - Navigation

Change demo

Menustrip - Prev/Next

Change demo

Menustrip - Paging

Change demo
Paging
// Code not available for Angular
<mbsc-page>

</mbsc-page>
.demo-main-cont.demo-comp-menustrip { padding: 0; min-height: 300px; }

.demo-paging,
.md-paging {
    height: 100%;
}

.md-paging .md-cont .mbsc-lv-item {
    text-transform: none;
}

.md-paging .md-list {
    text-align: left;
    white-space: normal;
}

.md-paging .md-cont {
    display: none;
    height: 100%;
}

.md-paging .md-selected {
    display: block;
}

.md-paging .md-content {
    height: 100%;
    box-sizing: border-box;
}

.md-paging .md-content .mbsc-lv-cont,
.md-paging .md-content .mbsc-lv-sl-c,
.md-paging .md-cont .mbsc-ms-inline .mbsc-ms-sc,
.md-paging .md-cont .mbsc-ms-c.mbsc-ms-inline {
    height: 100%;
    border: 0;
    box-sizing: border-box;
}

.md-paging .md-content .mbsc-lv-cont {
    overflow: auto;
}

.md-paging .md-content .mbsc-ms-item {
    border: 0;
    padding: 0;
    height: 100%;
}

.md-paging .mbsc-ms-b .md-category .mbsc-ms-item.mbsc-ms-item-sel {
    border-bottom-color: transparent;
}

.md-paging .mbsc-lv-img {
    border-radius: 2.8em;
    height: 2.8em;
}

.md-paging .mbsc-lv {
    background: transparent;
}

.md-paging .md-stripe {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 2px;
    background: #4eccc4;
}

.md-paging .md-stripe-anim {
    -webkit-transition: all 70ms linear;
    transition: all 70ms linear;
}


/* Themes */

.mbsc-wp .md-content .mbsc-ms-item {
    font-size: 1em;
}

.mbsc-wp .md-category .mbsc-ms-item {
    font-size: 25px;
}

.mbsc-material .md-stripe {
    background: #009688;
}

.mbsc-material-dark .md-stripe {
    background: #81ccc4;
}

.mbsc-android-holo .md-stripe {
    background: #31b6e7;
}

.mbsc-jqm .md-stripe,
.mbsc-wp .md-stripe,
.mbsc-ios .md-stripe,
.mbsc-bootstrap .md-stripe {
    display: none;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Menustrip - Cards

Change demo
Cards
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Scroll options

Change demo
Scroll options
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Badge

Change demo
Badge
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Show more

Change demo
Show more
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Event handlers

Change demo
Event handlers
Clear event log
EVENTS FIRED: 

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos